using System;

namespace takmicenje_sudar
{
    class Program
    {
        static string dodaj_nule(int nule) 
        {
            string novi ="";
            for(int i=0; i<nule; i++)
            {
                novi += "0";
            }
            return novi;
        }
        static void Main(string[] args)
        {
            string prvi = Console.ReadLine();
            string drugi = Console.ReadLine();
            string sacuvaj;

            int razlika = Math.Abs(prvi.Length - drugi.Length);
            if (razlika != 0)
            {
                if (prvi.Length > drugi.Length) 
                {
                    sacuvaj = drugi;
                    drugi = dodaj_nule(razlika) + sacuvaj;
                }
                else
                {
                    sacuvaj = prvi;
                    prvi = dodaj_nule(razlika) + sacuvaj;
                }
            }
            for (int i=0; i < prvi.Length; i++)
            {
                if (prvi[i] > drugi[i]) Console.Write(prvi[i]);
                else if (prvi[i] == drugi[i]) Console.Write(prvi[i] + drugi[i]);
                else Console.Write(drugi[i]);
            }
        }
    }
}